package domain

type AlibabaWdkMarketingItemdiscountRemoveitemCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步的渠道配置     */
	ChannelConfigList *[]AlibabaWdkMarketingItemdiscountRemoveitemChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaWdkMarketingItemdiscountRemoveitemCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingItemdiscountRemoveitemCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountRemoveitemCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingItemdiscountRemoveitemCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountRemoveitemCommonActivityParam) SetByChannel(v bool) *AlibabaWdkMarketingItemdiscountRemoveitemCommonActivityParam {
	s.ByChannel = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountRemoveitemCommonActivityParam) SetChannelConfigList(v []AlibabaWdkMarketingItemdiscountRemoveitemChannelConfig) *AlibabaWdkMarketingItemdiscountRemoveitemCommonActivityParam {
	s.ChannelConfigList = &v
	return s
}
